Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._1_0.protocol
Class ResponseAbstractType

    java.lang.Object
      oasis.names.tc.saml._1_0.protocol.ResponseAbstractType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Response

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public abstract class ResponseAbstractType

extends Object
implements Serializable

Java class for ResponseAbstractType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResponseAbstractType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature" minOccurs="0"/>
           </sequence>
           <attribute name="ResponseID" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
           <attribute name="InResponseTo" type="{http://www.w3.org/2001/XMLSchema}NCName" />
           <attribute name="MajorVersion" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
           <attribute name="MinorVersion" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
           <attribute name="IssueInstant" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
           <attribute name="Recipient" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ResponseAbstractType()`

Method Summary
`String` | `getInResponseTo()` Gets the value of the inResponseTo property.
`org.joda.time.DateTime` | `getIssueInstant()` Gets the value of the issueInstant property.
`BigInteger` | `getMajorVersion()` Gets the value of the majorVersion property.
`BigInteger` | `getMinorVersion()` Gets the value of the minorVersion property.
`String` | `getRecipient()` Gets the value of the recipient property.
`String` | `getResponseID()` Gets the value of the responseID property.
`Signature` | `getSignature()` Gets the value of the signature property.
`void` | `setInResponseTo(String value)` Sets the value of the inResponseTo property.
`void` | `setIssueInstant(org.joda.time.DateTime value)` Sets the value of the issueInstant property.
`void` | `setMajorVersion(BigInteger value)` Sets the value of the majorVersion property.
`void` | `setMinorVersion(BigInteger value)` Sets the value of the minorVersion property.
`void` | `setRecipient(String value)` Sets the value of the recipient property.
`void` | `setResponseID(String value)` Sets the value of the responseID property.
`void` | `setSignature(Signature value)` Sets the value of the signature property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseAbstractType

    public ResponseAbstractType()

Method Detail

### getSignature

    public Signature getSignature()

  Gets the value of the signature property.

  Returns:
    possible object is `Signature`

### setSignature

    public void setSignature(Signature value)

  Sets the value of the signature property.

  Parameters:
    `value` - allowed object is `Signature`

### getResponseID

    public String getResponseID()

  Gets the value of the responseID property.

  Returns:
    possible object is `String`

### setResponseID

    public void setResponseID(String value)

  Sets the value of the responseID property.

  Parameters:
    `value` - allowed object is `String`

### getInResponseTo

    public String getInResponseTo()

  Gets the value of the inResponseTo property.

  Returns:
    possible object is `String`

### setInResponseTo

    public void setInResponseTo(String value)

  Sets the value of the inResponseTo property.

  Parameters:
    `value` - allowed object is `String`

### getMajorVersion

    public BigInteger getMajorVersion()

  Gets the value of the majorVersion property.

  Returns:
    possible object is `BigInteger`

### setMajorVersion

    public void setMajorVersion(BigInteger value)

  Sets the value of the majorVersion property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getMinorVersion

    public BigInteger getMinorVersion()

  Gets the value of the minorVersion property.

  Returns:
    possible object is `BigInteger`

### setMinorVersion

    public void setMinorVersion(BigInteger value)

  Sets the value of the minorVersion property.

  Parameters:
    `value` - allowed object is `BigInteger`

### getIssueInstant

    public org.joda.time.DateTime getIssueInstant()

  Gets the value of the issueInstant property.

  Returns:
    possible object is `String`

### setIssueInstant

    public void setIssueInstant(org.joda.time.DateTime value)

  Sets the value of the issueInstant property.

  Parameters:
    `value` - allowed object is `String`

### getRecipient

    public String getRecipient()

  Gets the value of the recipient property.

  Returns:
    possible object is `String`

### setRecipient

    public void setRecipient(String value)

  Sets the value of the recipient property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.